#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# Author : Th.L.
# Date   : 2018-01-15
# Content: wato plugin for snmp check 'zyxel_flash'
#          to configure waring/critical levels
#
#

register_check_parameters(
    subgroup_os,
    'zyxel_flash',
    _('Zyxel flash usage'),
    Dictionary(
        elements=[
            ('levels',
             Tuple(
                 title=_('Levels for Zyxel flash usage'),
                 elements=[
                     Integer(title=_('Warning at'), default_value=60, unit=_('% usage')),
                     Integer(title=_('Critical at'), default_value=70, unit=_('% usage')),
                 ])),
        ]),
    None,
    match_type='dict'
)

