#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# Author : Th.L.
# Date   : 2018-01-18
# Content: wato plugin for snmp check 'zyxel_cpu'
#          to configure waring/critical levels
#
#

register_check_parameters(
    subgroup_os,
    'zyxel_cpu',
    'Zyxel CPU utilisation',
    Dictionary(
        elements=[
            ('levels',
             Tuple(
                 title=_('Levels for Zyxel CPU utilisation'),
                 elements=[
                     Integer(title=_('Warning at'), default_value=60, unit=_('% utilisation')),
                     Integer(title=_('Critical at'), default_value=70, unit=_('% utilisation')),
                 ])),
        ]),
    None,
    match_type='dict'
)
